//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: contribuyente.exoeduebte.estado.rept.js
// Created: 2023-10-18
// Updates: 2023-10-18
// Copyright - All Rights Reserved
//-------------------------------------------------------//
//-------------------------------------------------------//
var OpenWindows = {};
//-------------------------------------------------------//
window.onload = function(){
    window.resizeTo(1100,765);
};
//-------------------------------------------------------//
// LEVEL 1

//--------------------------------------------------------//
// LEVEL 2
function generarSolvencia(){
    let cid = document.getElementById('i8_contribuyente_id').value;
    let total = document.getElementById('total').value;
    let dias = document.getElementById('dias').value;
    if(total>0){alert("EXISTE DEUDA EN UNA O MAS DE LAS CUENTAS DEL CONTRIBUYENTE. POR LO QUE NO SE PUEDE EMITIR SOLVENCIA.");return;}
    let winame 	= "ProcesarSolvencia";
	if (!OpenWindows[winame] || OpenWindows[winame].closed){
		OpenWindows[winame]= window.open("../pl/solvencia_contribuyente_p.pl?i8_contribuyente_id="+cid+"&total="+total+"&dias="+dias,"ProcesarSolvencia","left=150,top=100,width=900,height=600,scrollbars=1,toolbar=0,menubar=0,resizable=1,location=0,status=0");
	}else{OpenWindows[winame].focus();}
}
//-------------------------------------------------------//
//-------------------------------------------------------//
// AUXILIAR
